### Method

# Gtk RecentInfo get_application_info

#### Declaration [src]

    gboolean
    gtk_recent_info_get_application_info (
      GtkRecentInfo* info,
      const char* app_name,
      const char** app_exec,
      guint* count,
      GDateTime** stamp
    )

#### Description [src]

Gets the data regarding the application that has registered the resource pointed by `info`.

If the command line contains any escape characters defined inside the storage specification, they will be expanded.

#### Parameters

`app_name` | `const char*`
| The name of the application that has registered this item.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`app_exec` | `const char**`
| Return location for the string containing the command line.
| The argument will be set by the function.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`count` | `guint*`
| Return location for the number of times this item was registered.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.
`stamp` | `GDateTime**`
| Return location for the time this item was last registered for this application.
| The argument will be set by the function.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if an application with `app_name` has registered this resource inside the recently used list, or `FALSE` otherwise. The `app_exec` string is owned by the `GtkRecentInfo` and should not be modified or freed.